import { CommonModule } from '@angular/common';
import { Component } from '@angular/core';
import { RouterOutlet } from '@angular/router';
import { HomeNavbarComponent } from './components/home-navbar/home-navbar.component';
import { NavbarComponent } from './components/navbar/navbar.component';

@Component({
  selector: 'app-root',
  imports: [RouterOutlet, NavbarComponent, HomeNavbarComponent, CommonModule],
  templateUrl: './app.component.html',
})
export class AppComponent {
  title = 'Memory Map';
  isAuth: boolean = false;

  constructor() {}

  ngOnInit(): void {
    if (localStorage.getItem('auth_token') !== null) {
      this.isAuth = true;
    }
  }
}
